%define upstream_name Services_Google
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.2.0
Release:     	%mkrel 2
Summary:    	Provides access to the Google SOAP Web APIs
License: 	PHP License
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/Services_Google-%{version}.tgz
URL: 		http://pear.php.net/package/Services_Google
BuildRequires: 	php-pear >= 1.4.7
BuildArch: noarch

%description
Allows easy access to the Google SOAP Web APIs for the search
        engine, spelling suggestions, and cache.

        Please note that as of December 5, 2006 Google is no longer issuing
new
        API keys for the SOAP search API, so this package is only for
developers
        which has an API key already.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Services_Google.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Services_Google.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Services_Google
fi

%files
%defattr(-,root,root)
%doc docs/Services_Google/*
%{peardir}/*
%{xmldir}/Services_Google.xml


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.2.0-2.mga3
+ Revision: 377269
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 14 2012 spuhler <spuhler> 0.2.0-1.mga2
+ Revision: 196144
- upgrade to 0.2.0
  pearized spec

* Sat Jan 29 2011 spuhler <spuhler> 0.1.1-6.mga1
+ Revision: 44224
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Services_Google

